/* Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @file  ap_config_layout.h
 * @brief Apache Config Layout
 */

#ifndef AP_CONFIG_LAYOUT_H
#define AP_CONFIG_LAYOUT_H

/* Configured Apache directory layout */
#define DEFAULT_PREFIX "/data/sjm84/greenstone2-svn/ext/gsdl-amp/src/linux"
#define DEFAULT_EXP_EXEC_PREFIX "/data/sjm84/greenstone2-svn/ext/gsdl-amp/src/linux"
#define DEFAULT_REL_EXEC_PREFIX ""
#define DEFAULT_EXP_BINDIR "/data/sjm84/greenstone2-svn/ext/gsdl-amp/src/linux/bin"
#define DEFAULT_REL_BINDIR "bin"
#define DEFAULT_EXP_SBINDIR "/data/sjm84/greenstone2-svn/ext/gsdl-amp/src/linux/bin"
#define DEFAULT_REL_SBINDIR "bin"
#define DEFAULT_EXP_LIBEXECDIR "/data/sjm84/greenstone2-svn/ext/gsdl-amp/src/linux/modules"
#define DEFAULT_REL_LIBEXECDIR "modules"
#define DEFAULT_EXP_MANDIR "/data/sjm84/greenstone2-svn/ext/gsdl-amp/src/linux/man"
#define DEFAULT_REL_MANDIR "man"
#define DEFAULT_EXP_SYSCONFDIR "/data/sjm84/greenstone2-svn/ext/gsdl-amp/src/linux/conf"
#define DEFAULT_REL_SYSCONFDIR "conf"
#define DEFAULT_EXP_DATADIR "/data/sjm84/greenstone2-svn/ext/gsdl-amp/src/linux"
#define DEFAULT_REL_DATADIR ""
#define DEFAULT_EXP_INSTALLBUILDDIR "/data/sjm84/greenstone2-svn/ext/gsdl-amp/src/linux/build"
#define DEFAULT_REL_INSTALLBUILDDIR "build"
#define DEFAULT_EXP_ERRORDIR "/data/sjm84/greenstone2-svn/ext/gsdl-amp/src/linux/error"
#define DEFAULT_REL_ERRORDIR "error"
#define DEFAULT_EXP_ICONSDIR "/data/sjm84/greenstone2-svn/ext/gsdl-amp/src/linux/icons"
#define DEFAULT_REL_ICONSDIR "icons"
#define DEFAULT_EXP_HTDOCSDIR "/data/sjm84/greenstone2-svn/ext/gsdl-amp/src/linux/htdocs"
#define DEFAULT_REL_HTDOCSDIR "htdocs"
#define DEFAULT_EXP_MANUALDIR "/data/sjm84/greenstone2-svn/ext/gsdl-amp/src/linux/manual"
#define DEFAULT_REL_MANUALDIR "manual"
#define DEFAULT_EXP_CGIDIR "/data/sjm84/greenstone2-svn/ext/gsdl-amp/src/linux/cgi-bin"
#define DEFAULT_REL_CGIDIR "cgi-bin"
#define DEFAULT_EXP_INCLUDEDIR "/data/sjm84/greenstone2-svn/ext/gsdl-amp/src/linux/include"
#define DEFAULT_REL_INCLUDEDIR "include"
#define DEFAULT_EXP_LOCALSTATEDIR "/data/sjm84/greenstone2-svn/ext/gsdl-amp/src/linux"
#define DEFAULT_REL_LOCALSTATEDIR ""
#define DEFAULT_EXP_RUNTIMEDIR "/data/sjm84/greenstone2-svn/ext/gsdl-amp/src/linux/logs"
#define DEFAULT_REL_RUNTIMEDIR "logs"
#define DEFAULT_EXP_LOGFILEDIR "/data/sjm84/greenstone2-svn/ext/gsdl-amp/src/linux/logs"
#define DEFAULT_REL_LOGFILEDIR "logs"
#define DEFAULT_EXP_PROXYCACHEDIR "/data/sjm84/greenstone2-svn/ext/gsdl-amp/src/linux/proxy"
#define DEFAULT_REL_PROXYCACHEDIR "proxy"

#endif /* AP_CONFIG_LAYOUT_H */
